reinitialize
bg_color white

# Loren Williams, Georgia Tech
# pymol script for DNA quadruplex

set sphere_quality, 3
set surface_quality, 3

# -------------------------------------------------------

load files/4fxm.pdb, quadruplex

set cartoon_ring_mode=3, quadruplex
set cartoon_tube_radius=0.6, quadruplex
hide everything, quadruplex
show cartoon, quadruplex

# color the bases

color red, (resn ADE or resn DA) and (quadruplex)
color blue, (resn THY or resn DT) and (quadruplex)
color forest, (resn CYT or resn DC) and (quadruplex)
color violetpurple, (resn GUA or resn DG) and (quadruplex)

#---------------------------base quartets

create quartet_1, resi 4+10+16+22 and quadruplex
distance HB_1, resi 4, resi 22, 3.2
distance HB_1, resi 10, resi 4, 3.2
distance HB_1, resi 22, resi 16, 3.2
distance HB_1, resi 16, resi 10, 3.2

create quartet_2, resi 3+9+15+21 and quadruplex
distance HB_2, resi 3, resi 21, 3.2
distance HB_2, resi 9, resi 3, 3.2
distance HB_2, resi 21, resi 15, 3.2
distance HB_2, resi 15, resi 9, 3.2


create quartet_3, resi 2+8+14+20 and quadruplex
distance HB_3, resi 2, resi 20, 3.2
distance HB_3, resi 8, resi 2, 3.2
distance HB_3, resi 20, resi 14, 3.2
distance HB_3, resi 14, resi 8, 3.2

show stick, quartet_*


color white, name C* and (quartet_1)
color gray60, name C* and (quartet_2)
color gray30, name C* and (quartet_3)
color red, name O* and (quartet_*)
color blue, name N* and (quartet_*)
color yellow, name P* and (quartet_*)

set label_size, -0.5, HB_*
color black, HB_*


create potassium, name K and (quadruplex)
alter potassium, vdw=.6 
rebuild
show sphere, potassium
color green, forest

distance K_coord = (potassium), (quartet_*), 3.4
set label_font_id=4, K_coord
set dash_width=3.5, K_coord
color black, K_coord


disable all
enable quadruplex

# standard view

set_view (\
     0.012700190,    0.782653451,   -0.622326255,\
     0.061432458,    0.620589495,    0.781725407,\
     0.998028874,   -0.048159074,   -0.040198084,\
     0.000000000,    0.000000000, -121.272544861,\
    -4.178760529,    4.148478031,   -0.454378128,\
    95.612197876,  146.932891846,  -20.000000000 )
### cut above here and paste into script ###


# remove the # from two lines below to make a beautiful figure 
# ray 2000, 2000
# save image.png
